//.............................................................................
//
//          LED PIC soft
//														V01 L01		2013.05/22
//.............................................................................

//.............................................................................
//
//          PIC init  system
//
//.............................................................................
#include "pic.h"
#define _XTAL_FREQ  10000000

#include "SW.c"
#include "LCD.c"
#include "LED.c"

// ==================================================================
// ==================================================================
//      
// ==================================================================
// ==================================================================
void init( ){

	ADCON1	= 0x06 ;
	ANSEL	= 0x00 ;
	ANSELH	= 0x00 ;
	INTCON	= 0x00 ;

//@ݒ@ʂ̐ݒɂ
    TRISA = ( 0b00000000 );     // PORT o͐ݒ
    TRISB = ( 0b00000000 );     // PORT o͐ݒ
    TRISC = ( 0b00000000 );     // PORT o͐ݒ
    TRISD = ( 0b00000000 );     // PORT o͐ݒ
    PORTA = ( 0b00000000 );     // PORT l
    PORTB = ( 0b00000000 );     // PORT l
    PORTC = ( 0b11111111 );     // PORT l
    PORTD = ( 0b11111111 );     // PORT l

//@ʐݒ@e@\ɏݒsB
	led_init();
	lcd_init();
	sw_init();
}

// =============================================
// =============================================
// =============================================
//
//			       main
//
// =============================================
// =============================================
// =============================================
void main( ){
		static int		tsw_ind		= 0 ;
		static int		tsw_no		= 0 ;
    init( );	                    			// 
	char tLCDchr[32] = "Hello PICstarter" ;			// LCD I[vjO\
	lcd_chr_out0( tLCDchr );
	char tLCDchr[32] = " V01 L01 2013.05" ;
	lcd_chr_out2( tLCDchr );
	char tLCDswin[32] = "SW input " ;
    while( 1 ) {
		if( sw_index() ){						//@XCb`̓`FbN
			if( tsw_ind ){						//@ꂽ̃GbWo@o\
//				led_set( sw_data() ) ;			//@XCb`͗L@XCb`̏ԂLED\

				tsw_no = sw_get_no() ;			//@ꂽXCb`ԍ擾
				led_bset( tsw_no )   ;			//@ꂽXCb`ԍLED_

				lcd_chr_out0( tLCDswin ) ;		//@"SW input" LCD\
				lcd_no_out( tsw_no ) ;			//@ꂽXCb`ԍLCD\

				tsw_ind = 0 ;
			}
		}else{
// LEDf@Type1`3̂1I
//			gLedData = data_chg1( gLedData );	//@LED̃f\ Type 1
//			gLedData = data_chg2( gLedData );	//@LED̃f\ Type 2
			gLedData = data_chg3( gLedData );	//@LED̃f\ Type 3
			led_set( gLedData ) ;
			tsw_ind = 1 ;
		}
		wait_loop();							//@wait
    }
}

// ==================================================================
// ==================================================================
// ==================================================================
// ==================================================================
// ==================================================================
